NX Open C++ Reference Guide
|
Tooling builder to assign and edit color of objects <br> To create a new instance of this class, use @link Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder @endlink <br>
Default values. More...
Public Member Functions | |
double | AngleNoseIgnorableSize () |
Returns the angle nose ignorable size Created in NX9.0.0. | |
void | EditColorSpreadsheet () |
The action to edit face color spreadsheet Created in NX9.0.0. | |
NXOpen::NXColor * | FaceColor () |
Returns the face color Created in NX9.0.0. | |
int | FaceTranslucency () |
Returns the face translucency Created in NX9.0.0. | |
bool | HighlightSelectedFace () |
Returns the option whether to highlight selected faces Created in NX9.0.0. | |
NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue | HoleTypeEnum () |
Returns the hole type enumeration Created in NX9.0.0. | |
bool | IsAutoSelectHoleByType () |
Returns the option whether to select holes by type automatically Created in NX9.0.0. | |
bool | IsShowFaceWithoutColorAttributeToggle () |
Returns the option whether to show face without color attribute toggle Created in NX9.0.0. | |
bool | IsShowFaceWithSameColorAttributeToggle () |
Returns the option whether to show face with same color attribute toggle Created in NX9.0.0. | |
NXString | SelectColorSpreadsheet () |
Returns the face color spreadsheet Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectCurve () |
Returns the select curve Created in NX9.0.0. | |
NXOpen::ScCollector * | SelectFace () |
Returns the selected faces Created in NX9.0.0. | |
NXOpen::Direction * | SelectHoleAxis () |
Returns the hole axis Created in NX9.0.0. | |
void | SetAngleNoseIgnorableSize (double angleNoseIgnorableSize) |
Sets the angle nose ignorable size Created in NX9.0.0. | |
void | SetAutoSelectHoleByType (bool isAutoSelectHoleByType) |
Sets the option whether to select holes by type automatically Created in NX9.0.0. | |
void | SetFaceColor (NXOpen::NXColor *faceColor) |
Sets the face color Created in NX9.0.0. | |
void | SetFaceTranslucency (int faceTranslucency) |
Sets the face translucency Created in NX9.0.0. | |
void | SetHighlightSelectedFace (bool highlightSelectedFace) |
Sets the option whether to highlight selected faces Created in NX9.0.0. | |
void | SetHoleTypeEnum (NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue holeTypeEnum) |
Sets the hole type enumeration Created in NX9.0.0. | |
void | SetSelectColorSpreadsheet (const NXString &filename) |
Sets the face color spreadsheet Created in NX9.0.0. | |
void | SetSelectColorSpreadsheet (const char *filename) |
Sets the face color spreadsheet Created in NX9.0.0. | |
void | SetSelectHoleAxis (NXOpen::Direction *selectHoleAxis) |
Sets the hole axis Created in NX9.0.0. | |
void | SetShowFaceWithoutColorAttributeToggle (bool isShowFaceWithoutColorAttributeToggle) |
Sets the option whether to show face without color attribute toggle Created in NX9.0.0. | |
void | SetShowFaceWithSameColorAttributeToggle (bool isShowFaceWithSameColorAttributeToggle) |
Sets the option whether to show face with same color attribute toggle Created in NX9.0.0. | |
void | SetWizardType (int wizardType) |
Sets the wizard type Created in NX9.0.0. | |
void | ShowFacesWithoutColorAttrirbute () |
The action to show faces without color attributes Created in NX9.0.0. | |
int | WizardType () |
Returns the wizard type Created in NX9.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Tooling builder to assign and edit color of objects <br> To create a new instance of this class, use @link Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder Tooling::FaceColorManagementCollection::CreateFaceColorManagementBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleNoseIgnorableSize |
0.5 |
FaceTranslucency |
0 |
HighlightSelectedFace |
0 |
HoleTypeEnum |
ThroughHoles |
IsAutoSelectHoleByType |
0 |
IsShowFaceWithSameColorAttributeToggle |
0 |
IsShowFaceWithoutColorAttributeToggle |
0 |
Created in NX9.0.0.
the hole type enumeration
double NXOpen::Tooling::FaceColorManagementBuilder::AngleNoseIgnorableSize | ( | ) |
Returns the angle nose ignorable size
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::FaceColorManagementBuilder::EditColorSpreadsheet | ( | ) |
The action to edit face color spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
NXOpen::NXColor* NXOpen::Tooling::FaceColorManagementBuilder::FaceColor | ( | ) |
Returns the face color
Created in NX9.0.0.
License requirements : None
int NXOpen::Tooling::FaceColorManagementBuilder::FaceTranslucency | ( | ) |
Returns the face translucency
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::FaceColorManagementBuilder::HighlightSelectedFace | ( | ) |
Returns the option whether to highlight selected faces
Created in NX9.0.0.
License requirements : None
NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnum | ( | ) |
Returns the hole type enumeration
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::FaceColorManagementBuilder::IsAutoSelectHoleByType | ( | ) |
Returns the option whether to select holes by type automatically
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::FaceColorManagementBuilder::IsShowFaceWithoutColorAttributeToggle | ( | ) |
Returns the option whether to show face without color attribute toggle
Created in NX9.0.0.
License requirements : None
bool NXOpen::Tooling::FaceColorManagementBuilder::IsShowFaceWithSameColorAttributeToggle | ( | ) |
Returns the option whether to show face with same color attribute toggle
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Tooling::FaceColorManagementBuilder::SelectColorSpreadsheet | ( | ) |
Returns the face color spreadsheet
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::FaceColorManagementBuilder::SelectCurve | ( | ) |
Returns the select curve
Created in NX9.0.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Tooling::FaceColorManagementBuilder::SelectFace | ( | ) |
Returns the selected faces
Created in NX9.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Tooling::FaceColorManagementBuilder::SelectHoleAxis | ( | ) |
Returns the hole axis
Created in NX9.0.0.
License requirements : None
void NXOpen::Tooling::FaceColorManagementBuilder::SetAngleNoseIgnorableSize | ( | double | angleNoseIgnorableSize | ) |
Sets the angle nose ignorable size
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
angleNoseIgnorableSize | anglenoseignorablesize |
void NXOpen::Tooling::FaceColorManagementBuilder::SetAutoSelectHoleByType | ( | bool | isAutoSelectHoleByType | ) |
Sets the option whether to select holes by type automatically
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
isAutoSelectHoleByType | isautoselectholebytype |
void NXOpen::Tooling::FaceColorManagementBuilder::SetFaceColor | ( | NXOpen::NXColor * | faceColor | ) |
Sets the face color
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
faceColor | facecolor |
void NXOpen::Tooling::FaceColorManagementBuilder::SetFaceTranslucency | ( | int | faceTranslucency | ) |
Sets the face translucency
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
faceTranslucency | facetranslucency |
void NXOpen::Tooling::FaceColorManagementBuilder::SetHighlightSelectedFace | ( | bool | highlightSelectedFace | ) |
Sets the option whether to highlight selected faces
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
highlightSelectedFace | highlightselectedface |
void NXOpen::Tooling::FaceColorManagementBuilder::SetHoleTypeEnum | ( | NXOpen::Tooling::FaceColorManagementBuilder::HoleTypeEnumValue | holeTypeEnum | ) |
Sets the hole type enumeration
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
holeTypeEnum | holetypeenum |
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectColorSpreadsheet | ( | const NXString & | filename | ) |
Sets the face color spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
filename | filename |
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectColorSpreadsheet | ( | const char * | filename | ) |
Sets the face color spreadsheet
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
filename | filename |
void NXOpen::Tooling::FaceColorManagementBuilder::SetSelectHoleAxis | ( | NXOpen::Direction * | selectHoleAxis | ) |
Sets the hole axis
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
selectHoleAxis | selectholeaxis |
void NXOpen::Tooling::FaceColorManagementBuilder::SetShowFaceWithoutColorAttributeToggle | ( | bool | isShowFaceWithoutColorAttributeToggle | ) |
Sets the option whether to show face without color attribute toggle
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
isShowFaceWithoutColorAttributeToggle | isshowfacewithoutcolorattributetoggle |
void NXOpen::Tooling::FaceColorManagementBuilder::SetShowFaceWithSameColorAttributeToggle | ( | bool | isShowFaceWithSameColorAttributeToggle | ) |
Sets the option whether to show face with same color attribute toggle
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
isShowFaceWithSameColorAttributeToggle | isshowfacewithsamecolorattributetoggle |
void NXOpen::Tooling::FaceColorManagementBuilder::SetWizardType | ( | int | wizardType | ) |
Sets the wizard type
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
wizardType | wizardtype |
void NXOpen::Tooling::FaceColorManagementBuilder::ShowFacesWithoutColorAttrirbute | ( | ) |
The action to show faces without color attributes
Created in NX9.0.0.
License requirements : ug_mold_design ("UG MOLD") OR prog_die_wizard ("UG/Progressive Die Wizard") OR nx_electrode_wizard ("NX Electrode Wizard")
int NXOpen::Tooling::FaceColorManagementBuilder::WizardType | ( | ) |
Returns the wizard type
Created in NX9.0.0.
License requirements : None